Get GitHub connection status
GET
/teams/{teamId}/github/connection
const url = 'https://api.deploybase.eu/api/v1/teams/example/github/connection';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/teams/example/github/connectionReturns whether the team has an active GitHub App connection.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ” teamId
required
string
Team UUID
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "data": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Forbidden
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}